Summary: 	IDENT utility library
Name: 		libident
Version: 	0.22
Release: 	2
Group: 		System Environment/Libraries
Copyright:	Public domain
Packager:	Soenke J. Peters <peters+rpm@simprovement.com>
URL:		http://sw.www.lsyator.liu.se/~pen/pidentd/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Source: ftp://ftp.lysator.liu.se/pub/ident/libs/%{name}-%{version}.tar.gz
Patch:		%{name}-%{version}.diff
Prefix:		/usr

%description
Identd is a server which implements the TCP/IP IDENT user identification
protocol as specified in the RFC 1413 document. If you make a connection
to a service on another machine, that server can retrieve your user name
by contacting the identd daemon running on your machine.

%package devel
Summary:	Headers and static libraries for IDENT utility library
Group:		Development/Libraries
Requires:	%{name}

%description devel
This package contains the necessary header files and a static library to
facilitate creation of programs that make use of the identd.

%prep
%setup
%patch -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall -Wno-format -DHAVE_ANSIHEADERS" CC=gcc linux

%install
install -o root -g root -m 0755 -d $RPM_BUILD_ROOT/%{prefix}/man/man3/
install -o root -g root -m 0644 ident.3 $RPM_BUILD_ROOT/%{prefix}/man/man3/
install -o root -g root -m 0755 -d $RPM_BUILD_ROOT/%{prefix}/lib/
install -o root -g root -m 0644 libident.a $RPM_BUILD_ROOT/%{prefix}/lib/
install -o root -g root -m 0755 libident.so $RPM_BUILD_ROOT/%{prefix}/lib/libident.so.%{version}
install -o root -g root -m 0755 -d $RPM_BUILD_ROOT/%{prefix}/include/
install -o root -g root -m 0644 ident.h $RPM_BUILD_ROOT/%{prefix}/include/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING INSTALL README
%{prefix}/lib/*.so.*

%files devel
%defattr(-, root, root)
%doc COPYING INSTALL README
%{prefix}/man/man3/*.3
%{prefix}/include/*.h
%{prefix}/lib/*.a

%changelog
* Tue May 16 2000 Soenke J. Peters <peters+rpm@simprovement.com>
- Version 0.22-2, based on Debian package, shared libraries, cleaner RPM

* Mon Jan 01 1997 Olaf Kirch <okir@lst.de>
- Version 0.22-1, no shared libraries